Vigilfield Docs
API referenceAgents

Update an agent

PATCH/users/me/agents/{id}

Renames an agent, or changes its scopes. Changing the scopes needs the same identity check as creating it; renaming does not.

Path Parameters

id*string

Agent id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

PATCH /users/me/agents/{id}. Changing the cap needs step_up; renaming does not.

Response Body

application/json

curl -X PATCH "https://example.com/users/me/agents/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "clients": [    {      "client_id": "string",      "created_at": "string",      "expires_at": "string",      "last_used_at": "string",      "name": "string"    }  ],  "created_at": "string",  "id": "string",  "name": "string",  "scopes": [    "string"  ],  "updated_at": "string",  "user_id": "string"}